aboutsummaryrefslogblamecommitdiff
path: root/_pastebins/2022-07-14-git-cleanup-command.md
blob: 52cd17fa1394c44a1f23e9c3e1a7fc0a42c6a26d (plain) (tree)





































































                                                 
---

title: git-cleanup command

date: 2022-07-14

layout: post

lang: en

ref: git-cleanup-command

---

```
#!/bin/sh
set -eu

usage() {
	cat <<-'EOF'
		Usage:
		  git cleanup
		  git cleanup -h
	EOF
}

help() {
	cat <<-'EOF'

		Options:
		  -h, --help    show this message
	EOF
}

for flag in "$@"; do
	case "$flag" in
		--)
			break
			;;
		--help)
			usage
			help
			exit
			;;
		*)
			;;
	esac
done

while getopts 'h' flag; do
	case "$flag" in
		h)
			usage
			help
			exit
			;;
		*)
			usage >&2
			exit 2
			;;
	esac
done
shift $((OPTIND - 1))



git branch --merged |
	grep -v -e '^\*' -e '^. main$' |
	xargs git branch -d
```